### Method

# AppStream ReviewsClient get_user_hash

#### Declaration [src]

    const gchar*
    as_reviews_client_get_user_hash (
      AsReviewsClient* rrc
    )

#### Description [src]

Get the (salted) hash value used to identify the current user to the reviews service, generating it if necessary. The hash is used so the user can only vote once on each application, and so their own reviews can be identified. It can not easily be traced back to an individual user.

#### Return value

Type: `const gchar*`

The user hash, or `NULL` if none could be generated.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.